// Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "API Support",
            "url": "http://www.swagger.io/support",
            "email": "support@swagger.io"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/find": {
            "get": {
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pokedex"
                ],
                "summary": "FindPokemonAbility",
                "parameters": [
                    {
                        "description": "name",
                        "name": "q",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ReqPokemonAbility"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/pokemon": {
            "get": {
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pokedex"
                ],
                "summary": "FindPokemon",
                "parameters": [
                    {
                        "description": "name",
                        "name": "q",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ReqPokemon"
                        }
                    }
                ],
                "responses": {}
            }
        }
    },
    "definitions": {
        "dto.ReqPokemon": {
            "type": "object",
            "required": [
                "q"
            ],
            "properties": {
                "q": {
                    "type": "string",
                    "maxLength": 50
                }
            }
        },
        "dto.ReqPokemonAbility": {
            "type": "object",
            "required": [
                "q"
            ],
            "properties": {
                "q": {
                    "type": "string",
                    "maxLength": 100
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:9000",
	BasePath:         "/",
	Schemes:          []string{},
	Title:            "POKEDEX APIs",
	Description:      "Immplement Test Code Backend.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
